Package org.eclipse.jface.text

# Interface IRepairableDocumentExtension

All Known Implementing Classes:
  `AbstractDocument`, `ChildDocument`, `Document`, `ProjectionDocument`

public interface IRepairableDocumentExtension
Extension interface for `IRepairableDocument`.

Adds the ability to query whether the repairable document would have to be repaired after replacing some text.

Since:
  3.4
See Also:
  - `IRepairableDocument`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isLineInformationRepairNeeded(int offset, int length, String text)`
Tells whether the line information of the document implementing this interface needs to be repaired after replacing the given text.

## Method Details

### isLineInformationRepairNeeded

boolean isLineInformationRepairNeeded(int offset, int length, String text) throws BadLocationException
Tells whether the line information of the document implementing this interface needs to be repaired after replacing the given text.

Parameters:
  `offset` - the document offset
  `length` - the length of the specified range
  `text` - the substitution text to check
Returns:
  `true` if the line information must be repaired after replacing
Throws:
  `BadLocationException` - if the offset is invalid in this document
See Also:
  - `IRepairableDocument.repairLineInformation()`